Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags
Class BeanParamGenerator

    java.lang.Object
      |
      +--weblogic.utils.compiler.CodeGenerator
            |
            +--weblogicx.jsp.tags.BeanParamGenerator

public class BeanParamGenerator
extends weblogic.utils.compiler.CodeGenerator

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Inner classes inherited from class weblogic.utils.compiler.CodeGenerator
`weblogic.utils.compiler.CodeGenerator.Output`

Fields inherited from class weblogic.utils.compiler.CodeGenerator
`CheckValidChar, NON_WORD_CHARS, targetDirectory, verboseCodegen`

Constructor Summary
`BeanParamGenerator(weblogic.utils.Getopt2 opts)`

Method Summary
`java.lang.String` | `allArrayPropSetters()`
`java.lang.String` | `arrayComponentTypeLoop()`
`java.lang.String` | `beanFillerCode()`
`java.lang.String` | `checkDefaultConstructorBlock()`
`java.lang.String` | `classBody()`
`java.lang.String` | `currentBeanGetterLoop()`
`java.lang.String` | `currentBeanSetterLoop()`
`java.lang.String` | `currentBeanType()`
`java.lang.String` | `generated_class_name()`
`java.lang.String` | `get_method_name()`
`static void` | `main(java.lang.String[] a)`
`protected java.io.PrintWriter` | `makeOutputStream(java.io.File f)`
`java.util.Enumeration` | `outputs(java.lang.Object[] inputs)`
`java.lang.String` | `packageStatement()`
`java.lang.String` | `publicGetLoop()`
`java.lang.String` | `publicSetLoop()`
`java.lang.String` | `set_method_name()`
`java.lang.String` | `type()`
`java.lang.String` | `typeArrayAdd()`
`java.lang.String` | `typeArrayAddMethods()`
`java.lang.String` | `typeArrayDelete()`
`java.lang.String` | `typeArrayDeleteMethods()`
`java.lang.String` | `typeArrayShift()`
`java.lang.String` | `typeArrayShiftMethods()`

Methods inherited from class weblogic.utils.compiler.CodeGenerator
`argumentLookup, baseConversion, buildString, classLookup, cleanup, date, ensureDir, exceptions, exceptions, expandArrayClass, extractOptionValues, generate, generate, generate, generate, generateCode, generator, get_component_type, getFileChars, getProductionRule, getRootDirectoryName, getRuleName, installResource, is_primitive_array, javaCodeForType, lookupConvert, makeIndentingOutputStream, outputs, parameters, parse, parse, prepare, primitive_type_array, primitive_type, processProductionRules, processTemplate, processTemplate, readLookup, rootDirectory, setEncoding, setRootDirectoryName, setTargetDirectory, targetFile, time, timeAndDate, type_array, writeLookup, year`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanParamGenerator

    public BeanParamGenerator(weblogic.utils.Getopt2 opts)

Method Detail

### makeOutputStream

    protected java.io.PrintWriter makeOutputStream(java.io.File f)
                                            throws java.io.IOException

  Overrides:
    makeOutputStream in class weblogic.utils.compiler.CodeGenerator

### checkDefaultConstructorBlock

    public java.lang.String checkDefaultConstructorBlock()
                                                  throws java.lang.Exception

### outputs

    public java.util.Enumeration outputs(java.lang.Object[] inputs)
                                  throws java.io.IOException,
                                         weblogic.utils.ParsingException

  Overrides:
    outputs in class weblogic.utils.compiler.CodeGenerator

### typeArrayAddMethods

    public java.lang.String typeArrayAddMethods()
                                         throws java.lang.Exception

### typeArrayAdd

    public java.lang.String typeArrayAdd()

### typeArrayShiftMethods

    public java.lang.String typeArrayShiftMethods()
                                           throws java.lang.Exception

### typeArrayShift

    public java.lang.String typeArrayShift()

### typeArrayDeleteMethods

    public java.lang.String typeArrayDeleteMethods()
                                            throws java.lang.Exception

### typeArrayDelete

    public java.lang.String typeArrayDelete()

### type

    public java.lang.String type()

### publicGetLoop

    public java.lang.String publicGetLoop()
                                   throws java.lang.Exception

### publicSetLoop

    public java.lang.String publicSetLoop()
                                   throws java.lang.Exception

### currentBeanSetterLoop

    public java.lang.String currentBeanSetterLoop()
                                           throws java.lang.Exception

### currentBeanGetterLoop

    public java.lang.String currentBeanGetterLoop()
                                           throws java.lang.Exception

### get_method_name

    public java.lang.String get_method_name()

### arrayComponentTypeLoop

    public java.lang.String arrayComponentTypeLoop()
                                            throws java.lang.Exception

### beanFillerCode

    public java.lang.String beanFillerCode()
                                    throws java.lang.Exception

### allArrayPropSetters

    public java.lang.String allArrayPropSetters()
                                         throws java.lang.Exception

### set_method_name

    public java.lang.String set_method_name()

### currentBeanType

    public java.lang.String currentBeanType()

### packageStatement

    public java.lang.String packageStatement()

### generated_class_name

    public java.lang.String generated_class_name()

### classBody

    public java.lang.String classBody()
                               throws java.lang.Exception

### main

    public static void main(java.lang.String[] a)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD